FROM ros:melodic


RUN apt-get update && apt-get install -y python-pip gunicorn
RUN pip install falcon falcon-cors
WORKDIR /catkin_ws
RUN mkdir -p /catkin_ws/src && \
    . /opt/ros/melodic/setup.sh && catkin_make && . /catkin_ws/devel/setup.sh

COPY backend_interaction /catkin_ws/src/backend_interaction

RUN . /opt/ros/melodic/setup.sh && catkin_make && . /catkin_ws/devel/setup.sh
